/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

import (
	"net/http"

	"github.com/go-cas/cas"
)

func GetUserConnected(w http.ResponseWriter, r *http.Request) {
	// URL de votre serveur CAS
	casURL := "https://votre-serveur-cas.com/cas"

	// Configuration du client CAS
	client := cas.NewClient(&cas.Options{
		URL: casURL,
	})
	client.Handle(w, r)

	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	if !cas.IsAuthenticated(r) {
		w.WriteHeader(http.StatusForbidden)
	} else {
		w.WriteHeader(http.StatusOK)
		w.Write(cas.Username(r))
	}
	
}

func GetProviderSettings(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}

func ListAllProvidersSettings(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}

func RemoveProviderSettings(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}

func UpdateProviderSettings(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}
