/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// TODO docs FROM: AnnotationQuery in grafana-data/src/types/annotations.ts
type AnnotationQuery struct {
	// Set to 1 for the standard annotation query all dashboards have by default.
	BuiltIn float64 `json:"builtIn,omitempty"`

	Datasource *DataSourceRef `json:"datasource,omitempty"`
	// When enabled the annotation query is issued with every dashboard refresh
	Enable bool `json:"enable,omitempty"`

	Filter *AnnotationPanelFilter `json:"filter,omitempty"`
	// Annotation queries can be toggled on or off at the top of the dashboard. When hide is true, the toggle is not shown in the dashboard.
	Hide bool `json:"hide,omitempty"`
	// Color to use for the annotation event markers
	IconColor string `json:"iconColor,omitempty"`
	// Name of annotation.
	Name string `json:"name,omitempty"`

	Target *AnnotationTarget `json:"target,omitempty"`
	// TODO -- this should not exist here, it is based on the --grafana-- datasource
	Type_ string `json:"type,omitempty"`
}
