/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
import (
	"time"
)

type CacheConfigResponse struct {

	Created time.Time `json:"created,omitempty"`
	// Fields that can be set by the API caller - read/write
	DataSourceID int64 `json:"dataSourceID,omitempty"`

	DataSourceUID string `json:"dataSourceUID,omitempty"`
	// These are returned by the HTTP API, but are managed internally - read-only Note: 'created' and 'updated' are special properties managed automatically by xorm, but we are setting them manually
	DefaultTTLMs int64 `json:"defaultTTLMs,omitempty"`

	Enabled bool `json:"enabled,omitempty"`

	Message string `json:"message,omitempty"`
	// TTL MS, or \"time to live\", is how long a cached item will stay in the cache before it is removed (in milliseconds)
	TtlQueriesMs int64 `json:"ttlQueriesMs,omitempty"`

	TtlResourcesMs int64 `json:"ttlResourcesMs,omitempty"`

	Updated time.Time `json:"updated,omitempty"`
	// If UseDefaultTTL is enabled, then the TTLQueriesMS and TTLResourcesMS in this object is always sent as the default TTL located in grafana.ini
	UseDefaultTTL bool `json:"useDefaultTTL,omitempty"`
}
