/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// ConfigSetter defines the cache parameters that users can configure per datasource This is only intended to be consumed by the SetCache HTTP Handler
type CacheConfigSetter struct {

	DataSourceID int64 `json:"dataSourceID,omitempty"`

	DataSourceUID string `json:"dataSourceUID,omitempty"`

	Enabled bool `json:"enabled,omitempty"`
	// TTL MS, or \"time to live\", is how long a cached item will stay in the cache before it is removed (in milliseconds)
	TtlQueriesMs int64 `json:"ttlQueriesMs,omitempty"`

	TtlResourcesMs int64 `json:"ttlResourcesMs,omitempty"`
	// If UseDefaultTTL is enabled, then the TTLQueriesMS and TTLResourcesMS in this object is always sent as the default TTL located in grafana.ini
	UseDefaultTTL bool `json:"useDefaultTTL,omitempty"`
}
