/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
import (
	"time"
)

type Certificate struct {

	AuthorityKeyId []int32 `json:"AuthorityKeyId,omitempty"`
	// BasicConstraintsValid indicates whether IsCA, MaxPathLen, and MaxPathLenZero are valid.
	BasicConstraintsValid bool `json:"BasicConstraintsValid,omitempty"`
	// CRL Distribution Points
	CRLDistributionPoints []string `json:"CRLDistributionPoints,omitempty"`
	// Subject Alternate Name values. (Note that these values may not be valid if invalid values were contained within a parsed certificate. For example, an element of DNSNames may not be a valid DNS domain name.)
	DNSNames []string `json:"DNSNames,omitempty"`

	EmailAddresses []string `json:"EmailAddresses,omitempty"`

	ExcludedDNSDomains []string `json:"ExcludedDNSDomains,omitempty"`

	ExcludedEmailAddresses []string `json:"ExcludedEmailAddresses,omitempty"`

	ExcludedIPRanges []IpNet `json:"ExcludedIPRanges,omitempty"`

	ExcludedURIDomains []string `json:"ExcludedURIDomains,omitempty"`

	ExtKeyUsage []int64 `json:"ExtKeyUsage,omitempty"`
	// Extensions contains raw X.509 extensions. When parsing certificates, this can be used to extract non-critical extensions that are not parsed by this package. When marshaling certificates, the Extensions field is ignored, see ExtraExtensions.
	Extensions []Extension `json:"Extensions,omitempty"`
	// ExtraExtensions contains extensions to be copied, raw, into any marshaled certificates. Values override any extensions that would otherwise be produced based on the other fields. The ExtraExtensions field is not populated when parsing certificates, see Extensions.
	ExtraExtensions []Extension `json:"ExtraExtensions,omitempty"`

	IPAddresses []string `json:"IPAddresses,omitempty"`

	IsCA bool `json:"IsCA,omitempty"`

	Issuer *Name `json:"Issuer,omitempty"`

	IssuingCertificateURL []string `json:"IssuingCertificateURL,omitempty"`

	KeyUsage int64 `json:"KeyUsage,omitempty"`
	// MaxPathLen and MaxPathLenZero indicate the presence and value of the BasicConstraints' \"pathLenConstraint\".  When parsing a certificate, a positive non-zero MaxPathLen means that the field was specified, -1 means it was unset, and MaxPathLenZero being true mean that the field was explicitly set to zero. The case of MaxPathLen==0 with MaxPathLenZero==false should be treated equivalent to -1 (unset).  When generating a certificate, an unset pathLenConstraint can be requested with either MaxPathLen == -1 or using the zero value for both MaxPathLen and MaxPathLenZero.
	MaxPathLen int64 `json:"MaxPathLen,omitempty"`
	// MaxPathLenZero indicates that BasicConstraintsValid==true and MaxPathLen==0 should be interpreted as an actual maximum path length of zero. Otherwise, that combination is interpreted as MaxPathLen not being set.
	MaxPathLenZero bool `json:"MaxPathLenZero,omitempty"`

	NotBefore time.Time `json:"NotBefore,omitempty"`
	// RFC 5280, 4.2.2.1 (Authority Information Access)
	OCSPServer []string `json:"OCSPServer,omitempty"`

	PermittedDNSDomains []string `json:"PermittedDNSDomains,omitempty"`
	// Name constraints
	PermittedDNSDomainsCritical bool `json:"PermittedDNSDomainsCritical,omitempty"`

	PermittedEmailAddresses []string `json:"PermittedEmailAddresses,omitempty"`

	PermittedIPRanges []IpNet `json:"PermittedIPRanges,omitempty"`

	PermittedURIDomains []string `json:"PermittedURIDomains,omitempty"`
	// Policies contains all policy identifiers included in the certificate. In Go 1.22, encoding/gob cannot handle and ignores this field.
	Policies []string `json:"Policies,omitempty"`
	// PolicyIdentifiers contains asn1.ObjectIdentifiers, the components of which are limited to int32. If a certificate contains a policy which cannot be represented by asn1.ObjectIdentifier, it will not be included in PolicyIdentifiers, but will be present in Policies, which contains all parsed policy OIDs.
	PolicyIdentifiers [][]int64 `json:"PolicyIdentifiers,omitempty"`

	PublicKey *Object `json:"PublicKey,omitempty"`

	PublicKeyAlgorithm int64 `json:"PublicKeyAlgorithm,omitempty"`

	Raw []int32 `json:"Raw,omitempty"`

	RawIssuer []int32 `json:"RawIssuer,omitempty"`

	RawSubject []int32 `json:"RawSubject,omitempty"`

	RawSubjectPublicKeyInfo []int32 `json:"RawSubjectPublicKeyInfo,omitempty"`

	RawTBSCertificate []int32 `json:"RawTBSCertificate,omitempty"`

	SerialNumber string `json:"SerialNumber,omitempty"`

	Signature []int32 `json:"Signature,omitempty"`

	SignatureAlgorithm int64 `json:"SignatureAlgorithm,omitempty"`

	Subject *Name `json:"Subject,omitempty"`

	SubjectKeyId []int32 `json:"SubjectKeyId,omitempty"`

	URIs []Url `json:"URIs,omitempty"`
	// UnhandledCriticalExtensions contains a list of extension IDs that were not (fully) processed when parsing. Verify will fail if this slice is non-empty, unless verification is delegated to an OS library which understands all the critical extensions.  Users can access these extensions using Extensions and can remove elements from this slice if they believe that they have been handled.
	UnhandledCriticalExtensions [][]int64 `json:"UnhandledCriticalExtensions,omitempty"`

	UnknownExtKeyUsage [][]int64 `json:"UnknownExtKeyUsage,omitempty"`

	Version int64 `json:"Version,omitempty"`
}
