/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// Correlation is the model for correlations definitions
type Correlation struct {

	Config *CorrelationConfig `json:"config,omitempty"`
	// Description of the correlation
	Description string `json:"description,omitempty"`
	// Label identifying the correlation
	Label string `json:"label,omitempty"`
	// OrgID of the data source the correlation originates from
	OrgId int64 `json:"orgId,omitempty"`
	// Provisioned True if the correlation was created during provisioning
	Provisioned bool `json:"provisioned,omitempty"`
	// UID of the data source the correlation originates from
	SourceUID string `json:"sourceUID,omitempty"`
	// UID of the data source the correlation points to
	TargetUID string `json:"targetUID,omitempty"`

	Type_ string `json:"type,omitempty"`
	// Unique identifier of the correlation
	Uid string `json:"uid,omitempty"`
}
