/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// CreateCorrelationCommand is the command for creating a correlation
type CreateCorrelationCommand struct {

	Config *CorrelationConfig `json:"config,omitempty"`
	// Optional description of the correlation
	Description string `json:"description,omitempty"`
	// Optional label identifying the correlation
	Label string `json:"label,omitempty"`
	// True if correlation was created with provisioning. This makes it read-only.
	Provisioned bool `json:"provisioned,omitempty"`
	// Target data source UID to which the correlation is created. required if type = query
	TargetUID string `json:"targetUID,omitempty"`

	Type_ string `json:"type,omitempty"`
}
