/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

type CreateDashboardSnapshotCommand struct {
	// APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources +optional
	ApiVersion string `json:"apiVersion,omitempty"`

	Dashboard *Unstructured `json:"dashboard"`
	// Unique key used to delete the snapshot. It is different from the `key` so that only the creator can delete the snapshot. Required if `external` is `true`.
	DeleteKey string `json:"deleteKey,omitempty"`
	// When the snapshot should expire in seconds in seconds. Default is never to expire.
	Expires int64 `json:"expires,omitempty"`
	// these are passed when storing an external snapshot ref Save the snapshot on an external server rather than locally.
	External bool `json:"external,omitempty"`
	// Define the unique key. Required if `external` is `true`.
	Key string `json:"key,omitempty"`
	// Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional
	Kind string `json:"kind,omitempty"`
	// Snapshot name
	Name string `json:"name,omitempty"`
}
