/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// EmbeddedContactPoint is the contact point type that is used by grafanas embedded alertmanager implementation.
type EmbeddedContactPoint struct {

	DisableResolveMessage bool `json:"disableResolveMessage,omitempty"`
	// Name is used as grouping key in the UI. Contact points with the same name will be grouped in the UI.
	Name string `json:"name,omitempty"`

	Provenance string `json:"provenance,omitempty"`

	Settings *Json `json:"settings"`

	Type_ string `json:"type"`
	// UID is the unique identifier of the contact point. The UID can be set by the user.
	Uid string `json:"uid,omitempty"`
}
