/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// A FloatHistogram is needed by PromQL to handle operations that might result in fractional counts. Since the counts in a histogram are unlikely to be too large to be represented precisely by a float64, a FloatHistogram can also be used to represent a histogram with integer counts and thus serves as a more generalized representation.
type FloatHistogram struct {
	// Total number of observations. Must be zero or positive.
	Count float64 `json:"Count,omitempty"`

	CounterResetHint int32 `json:"CounterResetHint,omitempty"`
	// Observation counts in buckets. Each represents an absolute count and must be zero or positive.
	PositiveBuckets []float64 `json:"PositiveBuckets,omitempty"`
	// Spans for positive and negative buckets (see Span below).
	PositiveSpans []Span `json:"PositiveSpans,omitempty"`
	// Currently valid schema numbers are -4 <= n <= 8.  They are all for base-2 bucket schemas, where 1 is a bucket boundary in each case, and then each power of two is divided into 2^n logarithmic buckets.  Or in other words, each bucket boundary is the previous boundary times 2^(2^-n).
	Schema int32 `json:"Schema,omitempty"`
	// Sum of observations. This is also used as the stale marker.
	Sum float64 `json:"Sum,omitempty"`
	// Observations falling into the zero bucket. Must be zero or positive.
	ZeroCount float64 `json:"ZeroCount,omitempty"`
	// Width of the zero bucket.
	ZeroThreshold float64 `json:"ZeroThreshold,omitempty"`
}
