/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// Each Field is well typed by its FieldType and supports optional Labels.  A Frame is a general data container for Grafana. A Frame can be table data or time series data depending on its content and field types.
type Frame struct {
	// Fields are the columns of a frame. All Fields must be of the same the length when marshalling the Frame for transmission. There should be no `nil` entries in the Fields slice (making them pointers was a mistake).
	Fields []Field `json:"Fields,omitempty"`

	Meta *FrameMeta `json:"Meta,omitempty"`
	// Name is used in some Grafana visualizations.
	Name string `json:"Name,omitempty"`
	// RefID is a property that can be set to match a Frame to its originating query.
	RefID string `json:"RefID,omitempty"`
}
