/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// https://github.com/grafana/grafana/blob/master/packages/grafana-data/src/types/data.ts#L11 NOTE -- in javascript this can accept any `[key: string]: any;` however this interface only exposes the values we want to be exposed
type FrameMeta struct {
	// Channel is the path to a stream in grafana live that has real-time updates for this data.
	Channel string `json:"channel,omitempty"`
	// Custom datasource specific values.
	Custom *Object `json:"custom,omitempty"`

	DataTopic string `json:"dataTopic,omitempty"`
	// ExecutedQueryString is the raw query sent to the underlying system. All macros and templating have been applied.  When metadata contains this value, it will be shown in the query inspector.
	ExecutedQueryString string `json:"executedQueryString,omitempty"`
	// Notices provide additional information about the data in the Frame that Grafana can display to the user in the user interface.
	Notices []Notice `json:"notices,omitempty"`
	// Path is a browsable path on the datasource.
	Path string `json:"path,omitempty"`
	// PathSeparator defines the separator pattern to decode a hierarchy. The default separator is '/'.
	PathSeparator string `json:"pathSeparator,omitempty"`
	// PreferredVisualizationPluginId sets the panel plugin id to use to render the data when using Explore. If the plugin cannot be found will fall back to PreferredVisualization.
	PreferredVisualisationPluginId string `json:"preferredVisualisationPluginId,omitempty"`

	PreferredVisualisationType string `json:"preferredVisualisationType,omitempty"`
	// Stats is an array of query result statistics.
	Stats []QueryStat `json:"stats,omitempty"`

	Type_ string `json:"type,omitempty"`

	TypeVersion *[]int32 `json:"typeVersion,omitempty"`
	// Array of field indices which values create a unique id for each row. Ideally this should be globally unique ID but that isn't guarantied. Should help with keeping track and deduplicating rows in visualizations, especially with streaming data with frequent updates.
	UniqueRowIdFields []int64 `json:"uniqueRowIdFields,omitempty"`
}
