/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// GlobalConfig defines configuration parameters that are valid globally unless overwritten.
type GlobalConfig struct {

	HttpConfig *HttpClientConfig `json:"http_config,omitempty"`

	OpsgenieApiKey string `json:"opsgenie_api_key,omitempty"`

	OpsgenieApiKeyFile string `json:"opsgenie_api_key_file,omitempty"`

	OpsgenieApiUrl *Url `json:"opsgenie_api_url,omitempty"`

	PagerdutyUrl *Url `json:"pagerduty_url,omitempty"`

	ResolveTimeout int64 `json:"resolve_timeout,omitempty"`

	SlackApiUrl *SecretUrl `json:"slack_api_url,omitempty"`

	SlackApiUrlFile string `json:"slack_api_url_file,omitempty"`

	SmtpAuthIdentity string `json:"smtp_auth_identity,omitempty"`

	SmtpAuthPassword string `json:"smtp_auth_password,omitempty"`

	SmtpAuthPasswordFile string `json:"smtp_auth_password_file,omitempty"`

	SmtpAuthSecret string `json:"smtp_auth_secret,omitempty"`

	SmtpAuthUsername string `json:"smtp_auth_username,omitempty"`

	SmtpFrom string `json:"smtp_from,omitempty"`

	SmtpHello string `json:"smtp_hello,omitempty"`

	SmtpRequireTls bool `json:"smtp_require_tls,omitempty"`

	SmtpSmarthost *HostPort `json:"smtp_smarthost,omitempty"`

	TelegramApiUrl *Url `json:"telegram_api_url,omitempty"`

	VictoropsApiKey string `json:"victorops_api_key,omitempty"`

	VictoropsApiKeyFile string `json:"victorops_api_key_file,omitempty"`

	VictoropsApiUrl *Url `json:"victorops_api_url,omitempty"`

	WebexApiUrl *Url `json:"webex_api_url,omitempty"`

	WechatApiCorpId string `json:"wechat_api_corp_id,omitempty"`

	WechatApiSecret string `json:"wechat_api_secret,omitempty"`

	WechatApiUrl *Url `json:"wechat_api_url,omitempty"`
}
