/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// InhibitRule defines an inhibition rule that mutes alerts that match the target labels if an alert matching the source labels exists. Both alerts have to have a set of labels being equal.
type InhibitRule struct {

	Equal *[]string `json:"equal,omitempty"`
	// SourceMatch defines a set of labels that have to equal the given value for source alerts. Deprecated. Remove before v1.0 release.
	SourceMatch map[string]string `json:"source_match,omitempty"`

	SourceMatchRe *map[string]string `json:"source_match_re,omitempty"`

	SourceMatchers *[]Matcher `json:"source_matchers,omitempty"`
	// TargetMatch defines a set of labels that have to equal the given value for target alerts. Deprecated. Remove before v1.0 release.
	TargetMatch map[string]string `json:"target_match,omitempty"`

	TargetMatchRe *map[string]string `json:"target_match_re,omitempty"`

	TargetMatchers *[]Matcher `json:"target_matchers,omitempty"`
}
