/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// JSONWebKey represents a public or private key in JWK format. It can be marshaled into JSON and unmarshaled from JSON.
type JsonWebKey struct {
	// Key algorithm, parsed from `alg` header.
	Algorithm string `json:"Algorithm,omitempty"`
	// X.509 certificate thumbprint (SHA-1), parsed from `x5t` header.
	CertificateThumbprintSHA1 []int32 `json:"CertificateThumbprintSHA1,omitempty"`
	// X.509 certificate thumbprint (SHA-256), parsed from `x5t#S256` header.
	CertificateThumbprintSHA256 []int32 `json:"CertificateThumbprintSHA256,omitempty"`
	// X.509 certificate chain, parsed from `x5c` header.
	Certificates []Certificate `json:"Certificates,omitempty"`

	CertificatesURL *Url `json:"CertificatesURL,omitempty"`
	// Key is the Go in-memory representation of this key. It must have one of these types: ed25519.PublicKey ed25519.PrivateKey ecdsa.PublicKey ecdsa.PrivateKey rsa.PublicKey rsa.PrivateKey []byte (a symmetric key)  When marshaling this JSONWebKey into JSON, the \"kty\" header parameter will be automatically set based on the type of this field.
	Key *Object `json:"Key,omitempty"`
	// Key identifier, parsed from `kid` header.
	KeyID string `json:"KeyID,omitempty"`
	// Key use, parsed from `use` header.
	Use string `json:"Use,omitempty"`
}
