/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

type OAuth2 struct {

	TLSConfig *TlsConfig `json:"TLSConfig,omitempty"`

	ClientId string `json:"client_id,omitempty"`

	ClientSecret string `json:"client_secret,omitempty"`

	ClientSecretFile string `json:"client_secret_file,omitempty"`
	// ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
	ClientSecretRef string `json:"client_secret_ref,omitempty"`

	EndpointParams map[string]string `json:"endpoint_params,omitempty"`
	// NoProxy contains addresses that should not use a proxy.
	NoProxy string `json:"no_proxy,omitempty"`

	ProxyConnectHeader *map[string][]string `json:"proxy_connect_header,omitempty"`
	// ProxyFromEnvironment makes use of net/http ProxyFromEnvironment function to determine proxies.
	ProxyFromEnvironment bool `json:"proxy_from_environment,omitempty"`

	ProxyUrl *Url `json:"proxy_url,omitempty"`

	Scopes []string `json:"scopes,omitempty"`

	TokenUrl string `json:"token_url,omitempty"`
}
