/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// Spec defines user, team or org Grafana preferences
type Preferences struct {

	CookiePreferences *CookiePreferences `json:"cookiePreferences,omitempty"`
	// UID for the home dashboard
	HomeDashboardUID string `json:"homeDashboardUID,omitempty"`
	// Selected language (beta)
	Language string `json:"language,omitempty"`

	Navbar *NavbarPreference `json:"navbar,omitempty"`

	QueryHistory *QueryHistoryPreference `json:"queryHistory,omitempty"`
	// light, dark, empty is default
	Theme string `json:"theme,omitempty"`
	// The timezone selection TODO: this should use the timezone defined in common
	Timezone string `json:"timezone,omitempty"`
	// day of the week (sunday, monday, etc)
	WeekStart string `json:"weekStart,omitempty"`
}
