/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

type TlsConfig struct {
	// Text of the CA cert to use for the targets.
	Ca string `json:"ca,omitempty"`
	// The CA cert to use for the targets.
	CaFile string `json:"ca_file,omitempty"`
	// CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
	CaRef string `json:"ca_ref,omitempty"`
	// Text of the client cert file for the targets.
	Cert string `json:"cert,omitempty"`
	// The client cert file for the targets.
	CertFile string `json:"cert_file,omitempty"`
	// CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
	CertRef string `json:"cert_ref,omitempty"`
	// Disable target certificate validation.
	InsecureSkipVerify bool `json:"insecure_skip_verify,omitempty"`

	Key string `json:"key,omitempty"`
	// The client key file for the targets.
	KeyFile string `json:"key_file,omitempty"`
	// KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
	KeyRef string `json:"key_ref,omitempty"`

	MaxVersion int32 `json:"max_version,omitempty"`

	MinVersion int32 `json:"min_version,omitempty"`
	// Used to verify the hostname for the targets.
	ServerName string `json:"server_name,omitempty"`
}
