/*
 * Grafana HTTP API.
 *
 * The Grafana backend exposes an HTTP API, the same API is used by the frontend to do everything from saving dashboards, creating users and updating data sources.
 *
 * API version: 0.0.1
 * Contact: hello@grafana.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// The general form represented is:  [scheme:][//[userinfo@]host][/]path[?query][#fragment]  URLs that do not start with a slash after the scheme are interpreted as:  scheme:opaque[?query][#fragment]  The Host field contains the host and port subcomponents of the URL. When the port is present, it is separated from the host with a colon. When the host is an IPv6 address, it must be enclosed in square brackets: \"[fe80::1]:80\". The [net.JoinHostPort] function combines a host and port into a string suitable for the Host field, adding square brackets to the host when necessary.  Note that the Path field is stored in decoded form: /%47%6f%2f becomes /Go/. A consequence is that it is impossible to tell which slashes in the Path were slashes in the raw URL and which were %2f. This distinction is rarely important, but when it is, the code should use the [URL.EscapedPath] method, which preserves the original encoding of Path.  The RawPath field is an optional field which is only set when the default encoding of Path is different from the escaped path. See the EscapedPath method for more details.  URL's String method uses the EscapedPath method to obtain the path.
type Url struct {

	ForceQuery bool `json:"ForceQuery,omitempty"`

	Fragment string `json:"Fragment,omitempty"`

	Host string `json:"Host,omitempty"`

	OmitHost bool `json:"OmitHost,omitempty"`

	Opaque string `json:"Opaque,omitempty"`

	Path string `json:"Path,omitempty"`

	RawFragment string `json:"RawFragment,omitempty"`

	RawPath string `json:"RawPath,omitempty"`

	RawQuery string `json:"RawQuery,omitempty"`

	Scheme string `json:"Scheme,omitempty"`

	User *Userinfo `json:"User,omitempty"`
}
